library(broman)

# https://rdrr.io/cran/broman/man/convert2hex.html

v_hex1 <- convert2hex(333)
v_hex2 <- dec2hex(333)
v_is_hex1 <- dec2hex(333) == "14D"
v_is_hex2 <- dec2hex(333) == "14d"
v_hex_collection <- dec2hex(0:30)

# list the IDs of Hex values
v_hex_collection_id <- seq( from = 0, to = 30 )

knime.out <- as.data.frame(cbind(v_hex1, v_hex2, v_is_hex1, v_is_hex2, v_hex_collection, v_hex_collection_id))

# https://rdrr.io/cran/broman/man/hex2dec.html

v_dec1 <- hex2dec("14D")
v_dec_vs_hex1 <-hex2dec("14D") == 333
v_dec_vs_hex2 <-hex2dec("14d") == 333
v_hex_collection <- dec2hex(0:30)
v_dec_collection <- hex2dec(dec2hex(0:30))

knime.out <- as.data.frame(cbind(v_dec1, v_dec_vs_hex1, v_dec_vs_hex2, v_hex_collection, v_dec_collection))
